Declare Function GetModuleUsage% Lib "Kernel" (ByVal hModule%)
Declare Function sndPlaySound Lib "MMSYSTEM.DLL" (ByVal WavFile$, ByVal Flags%) As Integer

Global delay
Global Repeat%
Global iniFileName$

Function INI_Value (File$, Section$, KeyName$)
    FileNum = FreeFile
    Open File$ For Input As FileNum
    
    Do Until EOF(FileNum)
        Line Input #FileNum, ReadLine$
        If InStr(ReadLine$, "[" & Section$ & "]") = 1 Then Exit Do
    Loop
    If Not InStr(ReadLine$, "[" & Section$ & "]") = 1 Then
        Close #FileNum
        INI_Value = ""
        Exit Function
    End If
    
    Do Until EOF(FileNum)
        Line Input #FileNum, ReadLine$
        If InStr(ReadLine$, KeyName$ & "=") = 1 Then Exit Do
    Loop
    If Not InStr(ReadLine$, KeyName$ & "=") = 1 Then
        Close #FileNum
        INI_Value = ""
        Exit Function
    End If

    INI_Value = Mid$(ReadLine$, InStr(ReadLine$, "=") + 1)

    Close #FileNum
End Function

Function JustPath$ (FullName)
' returns path name of any file with no trailing backslash
' unless directory is the root
    If InStr(FullName, "\") Then
        n = Len(FullName)
        Do Until Mid$(FullName, n, 1) = "\"
            n = n - 1
        Loop
        JustPath$ = Left$(FullName, n - 1)
        If n = 3 Then JustPath$ = Left$(FullName, n)
    Else
        If InStr(FullName, ":") Then
            JustPath$ = Left$(FullName, 2)
        Else
            JustPath$ = CurDir
        End If
    End If
End Function

Function ProcessINI% (Sequence$)
'read INI file to get next instruction in sequence
    Instruction = INI_Value(iniFileName$, "SlideShow", Sequence$)
    If Instruction = "" Then
        ProcessINI% = 0
        Exit Function
    Else
        ProcessINI% = -1
    End If
'instruction is delaynext
    If InStr(LCase$(Instruction), "delaynext") = 1 Then
        StartTime = Now
        Do Until (Now - StartTime) * 60 * 60 * 24 > delay
            DoEvents
        Loop
        delay = CInt(Mid$(Instruction, (InStr(Instruction, " ") + 1)))
        Exit Function
    End If
'instruction is sendkeys
    If InStr(LCase$(Instruction), "sendkeys") = 1 Then
        StartTime = Now
        SendKeys Mid$(Instruction, (InStr(Instruction, " ") + 1))
        Do Until (Now - StartTime) * 60 * 60 * 24 > delay
            DoEvents
        Loop
        delay = 0
        Exit Function
    End If
'instruction is appactivate
    If InStr(LCase$(Instruction), "appactivate") = 1 Then
        StartTime = Now
        AppActivate Mid$(Instruction, (InStr(Instruction, " ") + 1))
        AppActivate Mid$(Instruction, (InStr(Instruction, " ") + 1))
        AppActivate Mid$(Instruction, (InStr(Instruction, " ") + 1))
        Do Until (Now - StartTime) * 60 * 60 * 24 > delay
            DoEvents
        Loop
        delay = 0
        Exit Function
    End If
'instruction is executable
    If InStr(LCase$(Instruction), ".exe") Then
        StartTime = Now
        x = Shell(Instruction, 1)
        Do Until (Now - StartTime) * 60 * 60 * 24 > delay
            DoEvents
        Loop
        delay = 0
        Exit Function
    End If
'instruction is default wav
    If InStr(LCase$(Instruction), ".wav") Then
        If Dir$(Instruction) = "" Then
            MsgBox "Could not locate file " & Instruction, 48, "File Not Found"
            delay = 0
            Exit Function
        End If
        StartTime = Now
        x = sndPlaySound(Instruction, &H2)
        Do Until (Now - StartTime) * 60 * 60 * 24 > delay
            DoEvents
        Loop
        delay = 0
        Exit Function
    End If
'instruction is default bmp/dib/wmf/ico
    If Dir$(Instruction) = "" Then
        MsgBox "Could not locate file " & Instruction, 48, "File Not Found"
        delay = 0
        Exit Function
    End If
    Form1.Picture1.Picture = LoadPicture(Instruction)
    Form1.Picture1.Top = Form1.Height / 2 - Form1.Picture1.Height / 2
    Form1.Picture1.Left = Form1.Width / 2 - Form1.Picture1.Width / 2
    Form1.Refresh
    DoEvents
    Form1.Picture1.Visible = True
    Form1.Show
    StartTime = Now
    Do Until (Now - StartTime) * 60 * 60 * 24 > delay
        DoEvents
    Loop
    delay = 0
    Exit Function



End Function

Function RawName$ (FullName)
    If InStr(FullName, "\") Then
        n = Len(FullName)
        Do Until Mid$(FullName, n, 1) = "\"
            n = n - 1
        Loop
        RawName$ = Mid$(FullName, n + 1)
    Else
        RawName$ = FullName
    End If
End Function

Sub Wait (delay)
    StartTime = Now
    Do Until (Now - StartTime) * 60 * 60 * 24 > delay
        DoEvents
    Loop
End Sub

